> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Check Contacts Existence > This identifies whether a contact is already registered using a given query parameter such as `email` or `phone` or `contactId`. **Note**: You must provide only one of the parameters in the request. **Required permission**: `view-livechat-contact`. ### Changelog | Version | Description | | ---------------- | ------------| |7.2.0 | Added | ## OpenAPI ````json GET /api/v1/omnichannel/contacts.checkExistence { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/omnichannel/contacts.checkExistence": { "get": { "summary": "Check Contacts Existence", "tags": [ "Omnichannel Contacts" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "exists": { "type": "boolean" }, "success": { "type": "boolean" } } }, "examples": { "Contact found": { "value": { "exists": true, "success": true } }, "contact not found": { "value": { "exists": false, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Error from missing query parameters": { "value": { "success": false, "error": "must have required property 'contactId'\n must have required property 'email'\n must have required property 'phone'\n must match exactly one schema in oneOf [invalid-params]", "errorType": "invalid-params" } } } } } } }, "operationId": "get-api-v1-omnichannel-contacts.checkExistence", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "name": "contactId", "in": "query", "description": "The contact's unique ID.", "required": false, "schema": { "type": "string", "example": "673c76df47a6c9b89dd263d8" } }, { "schema": { "type": "string", "example": "example@mail.com" }, "in": "query", "name": "email", "description": "The omnichannel contact's email address." }, { "schema": { "type": "string", "example": "01234567843" }, "in": "query", "name": "phone", "description": "Phone number of the omnichannel contact." } ], "description": "This identifies whether a contact is already registered using a given query parameter such as `email` or `phone` or `contactId`.\n**Note**: You must provide only one of the parameters in the request.\n\n**Required permission**: `view-livechat-contact`.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|7.2.0 | Added |" } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````